%global momorel 2

Summary: Zooming predictive text entry system
Name: dasher
Version: 3.2.11
Release: %{momorel}m
URL: http://www.inference.phy.cam.ac.uk/dasher/
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.2/%{name}-%{version}.tar.bz2 f3180d8ec786c1ea158cc5ac0894856c
Patch0: dasher-3.2.11-lib64.patch
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gtk+-devel >= 2.6.1
BuildPreReq: GConf-devel
BuildPreReq: libglade-devel >= 2.4.1
BuildPreReq: libgnomeui-devel >= 2.8.0
BuildPreReq: gnome-speech-devel
BuildPreReq: at-spi-devel
BuildPreReq: intltool
BuildPreReq: gcc-c++ >= 3.4.3
BuildPreReq: desktop-file-utils

PreReq: GConf
PreReq: scrollkeeper

%description 
Dasher is a zooming predictive text entry system, designed for situations
where keyboard input is impractical (for instance, accessibility or PDAs). It
is usable with highly limited amounts of physical input while still allowing
high rates of text entry.

%prep
%setup -q
%if %{_lib} == "lib64"
%patch0 -p1 -b .lib64~
%endif

%build
%configure --with-gnome --with-speech --with-a11y
%make

%install
rm -rf %{buildroot}
%makeinstall

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  %{buildroot}%{_datadir}/applications/dasher.desktop

# icon for XFce4
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/dasher.png %{buildroot}%{_datadir}/pixmaps/dasher.png

# remove
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf %{buildroot}

%post
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/dasher
%{_datadir}/applications/dasher.desktop
%{_datadir}/dasher
%{_datadir}/gnome/help/dasher
%{_datadir}/icons/dasher.png
%{_datadir}/locale/*/*/*
%{_datadir}/omf/dasher
%{_datadir}/pixmaps/dasher.png
%{_mandir}/man1/*

%changelog
* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.3.11-2m)
- enable x86_64.

* Fri Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.3.11-1m)
- version 2.3.11

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.10-4m)
- add %%{_datadir}/pixmaps/dasher.png for XFce4

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.10-3m)
- add Utility to Categories of desktop file for KDE
- BuildPreReq: desktop-file-utils

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.10-2m)
- rebuild against gcc-c++-3.4.1

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.3.10-1m)
- version 2.3.10

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.8-3m)
- rebuild against gnome-speech-0.3.2

* Sat Apr 17 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.8-2m)
- correct BuildPreReq:

* Fri Apr 16 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.2.8-1m)
- GNOME 2.6 Desktop
- initial import
